PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::HeightReader Struct Reference

Helper used by read_... stack functions. More...

Collaboration diagram for plask::HeightReader:
[legend]

## Public Member Functions
| HeightReader (XMLReader &reader, const char *what)
void | setZero (shared_ptr< plask::GeometryObject > stack)
bool | tryReadZeroTag (shared_ptr< plask::GeometryObject > stack)
void | tryReadZeroAttr (shared_ptr< plask::GeometryObject > stack)
template<typename StackPtrT >
void | setBaseHeight (StackPtrT stack, bool reverse)

## Public Attributes
XMLReader & | reader
const char * | what
int | whereWasZero
double | alignZero
bool | align

## Detailed Description

Helper used by read_... stack functions.

Definition at line 784 of file stack.cpp.

## Constructor & Destructor Documentation

## ◆ HeightReader()

plask::HeightReader::HeightReader | ( | XMLReader & | reader,
|  | const char * | what
| ) |  |
| inline

Definition at line 791 of file stack.cpp.

## Member Function Documentation

## ◆ setBaseHeight()

template<typename StackPtrT >

void plask::HeightReader::setBaseHeight | ( | StackPtrT | stack,
|  | bool | reverse
| ) |  |
| inline

Definition at line 818 of file stack.cpp.

## ◆ setZero()

void plask::HeightReader::setZero | ( | shared_ptr< plask::GeometryObject > | stack | ) |
| inline

Definition at line 798 of file stack.cpp.

## ◆ tryReadZeroAttr()

void plask::HeightReader::tryReadZeroAttr | ( | shared_ptr< plask::GeometryObject > | stack | ) |
| inline

Definition at line 810 of file stack.cpp.

## ◆ tryReadZeroTag()

bool plask::HeightReader::tryReadZeroTag | ( | shared_ptr< plask::GeometryObject > | stack | ) |
| inline

Definition at line 803 of file stack.cpp.

## Member Data Documentation

## ◆ align

bool plask::HeightReader::align

Definition at line 789 of file stack.cpp.

## ◆ alignZero

double plask::HeightReader::alignZero

Definition at line 788 of file stack.cpp.

## ◆ reader

XMLReader& plask::HeightReader::reader

Definition at line 785 of file stack.cpp.

## ◆ what

const char* plask::HeightReader::what

Definition at line 786 of file stack.cpp.

## ◆ whereWasZero

int plask::HeightReader::whereWasZero

Definition at line 787 of file stack.cpp.

The documentation for this struct was generated from the following file:

- plask/geometry/stack.cpp